<?php
/**
 * @author Thomas Müller <thomas.mueller@tmit.eu>
 *
 * @copyright Copyright (c) 2015, ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

namespace OCA\password_policy\Rules;

class Numbers {

	public function verify($password, $val) {
		if ($this->countDigits($password) < $val) {
			throw new \Exception("Password holds too less numbers. Minimum $val numbers are required.");
		}
	}

	private function countDigits( $str ) {
		return preg_match_all( "/[0-9]/", $str );
	}
}
