<?php
/**
 * @author Thomas Müller <thomas.mueller@tmit.eu>
 *
 * @copyright Copyright (c) 2015, ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

use OCA\password_policy\Engine;

class EngineTest extends \PHPUnit_Framework_TestCase {

	/**
	 * @dataProvider providesTestData
	 */
	public function testOkay(array $config, $password) {
		$default = [
			'spv_min_chars_checked' => false,
			'spv_min_chars_value' => 8,
			'spv_uppercase_checked' => false,
			'spv_uppercase_value' => 1,
			'spv_numbers_checked' => false,
			'spv_numbers_value' => 1,
			'spv_special_chars_checked' => false,
			'spv_special_chars_value' => 1,
			'spv_def_special_chars_checked' => false,
			'spv_def_special_chars_value' => '#!',
		];

		$config = array_replace($default, $config);
		$r = new Engine($config);
		$r->verifyPassword($password);
	}

	public function providesTestData() {
		return [
			[[], ''],
			[['spv_min_chars_checked' => true], '1234567890'],
			[['spv_uppercase_checked' => true], 'A234567890'],
			[['spv_numbers_checked' => true], '1234567890'],
			[['spv_special_chars_checked' => true], '#234567890'],
		];
	}
}
